var skipScenes = false;
var choice = 0;
var currentPos = '';
var lastPos = '';
var sexSound = 0;
var soundMiniGame = false;
const winComb = [
  180, 90, 270, 90, 180, 180, 270, 90, 270, 180, 90, 90, 270, 180, 270, 270, 90,
  180,
];

const checkWinCombination = () => {
  return Array.from(
    document.querySelectorAll('div[id^="spr_interface_mg"]')
  ).every((img, i) => {
    return (
      Number(img.style?.transform?.match(/\(\d*/gm)[0].split('(')[1]) ===
      winComb[i]
    );
  });
};

const rotateElement = (element) => {
  let currentDeg = 0;
  if (Boolean(element.style.transform)) {
    currentDeg = Number(
      element.style?.transform?.match(/\(\d*/gm)[0].split('(')[1]
    );
  } else {
    currentDeg = 0;
  }
  let predictedDeg = currentDeg + 90;
  if (predictedDeg >= 360) {
    predictedDeg = 0;
  }
  element.style.transform = `rotate(${predictedDeg}deg)`;
};

function delMiniGame() {
  for (let i = 1; i < 19; i++) {
    ObjSet('spr_interface_mg_' + i, {
      alp: 0,
      input: 0,
    });
  }
}

function miniGame() {
  for (let i = 1; i < 19; i++) {
    ObjSet('spr_interface_mg_' + i, {
      alp: 1,
      input: 1,
      event_mup: function () {},
    });
  }
  document
    .querySelectorAll('div[id^="spr_interface_mg"]')
    .forEach((element) => {
      element.addEventListener('click', (event) => {
        rotateElement(event.srcElement);
        PlaySound('sounds/sfx_flip.mp3', 0);
        console.log(checkWinCombination());
        if (checkWinCombination()) {
          delMiniGame();
          renderGameScene();
        }
      });
    });
}

var gameLine = {
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      },
    ],
  },
  3: {
    video: 'man_1_girl_1_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 20,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1_girl_1_1\t1\t',
  },
  4: {
    video: 'man_1_girl_1_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      PlaySound('sounds/env_flyer.mp3', 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
      StopSound('sounds/env_flyer.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '2',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '3',
        x: 20,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '4',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '5',
        x: 20,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '6',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '7',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '8',
        x: 20,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '9',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '10',
        x: 20,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '11',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '12',
        x: 20,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '13',
        x: 710,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1_girl_1_2\t2-13\tplay',
  },
  5: {
    video: 'girl_2_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_keyboard.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_keyboard.mp3', 0);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '64',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  6: {
    video: 'girl_2_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '14',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '15',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '20',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '21',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '23',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '27',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '28',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '29',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '30',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_2_2\t64\t',
  },
  7: {
    video: 'girl_2_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/env_keyboard.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_keyboard.mp3', 0);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_2_1\t14-30\t',
  },
  8: {
    video: 'man_2_1',
    loop: true,
    next: false,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      ObjSet('spr_interface_connect', {
        alp: 1,
        input: 1,
        event_mup: function () {
          ObjSet('spr_interface_connect', { alp: 0, input: 0 });
          renderGameScene();
        },
      });
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'girl_2_2\t\tplay',
  },
  9: {
    video: 'man_2_2',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_cable.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  10: {
    video: 'man_2_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2_1\t\t',
  },
  11: {
    video: 'mini_game_1',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      miniGame();
    },
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'man_2_2\t\t',
  },
  12: {
    video: 'mini_game_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/sfx_done.mp3', 0);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2_3\t\tplay',
  },
  13: {
    video: 'girl_3_1',
    loop: false,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  14: {
    video: 'girl_3_2',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_screen_turn_on.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
  },
  15: {
    video: 'girl_3_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  16: {
    video: 'girl_4_1',
    loop: false,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  17: {
    video: 'girl_4_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '31',
        x: 380,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '32',
        x: 230,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '33',
        x: 380,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '34',
        x: 230,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '35',
        x: 380,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3_1\t\t',
  },
  18: {
    video: 'man_3_girl_5_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '36',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '37',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '38',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '39',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '40',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '41',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '42',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '43',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3_2\t\t',
  },
  19: {
    video: 'man_3_girl_5_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '44',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '45',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '46',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '47',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '48',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '49',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '50',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '51',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '52',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '53',
        x: 10,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '54',
        x: 710,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_3_3\t\tplay',
  },
  20: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 6,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {},
    close: function () {
      StopSound('sounds/env_tits.mp3', 0);
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  21: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: true,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  22: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 3;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  23: {
    video: 'sex_4_stop_',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '55',
        x: 710,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  24: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: false,
    smoothFinish: false,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 5;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  25: {
    video: 'sex_4_stop_talk',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '56',
        x: 710,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '57',
        x: 315,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '58',
        x: 315,
        y: 360,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_3_girl_5_2\t44-54\tplay',
  },
  26: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 4;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  27: {
    video: 'girl_6_girl_7',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '59',
        x: 60,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '60',
        x: 700,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '61',
        x: 60,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '62',
        x: 700,
        y: 90,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '63',
        x: 60,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'sex_1_stop\t\t',
  },

  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {},
    close: function () {
      StopSound('sounds/env_slap.mp3', 0);
      StopSound('sounds/env_finger.mp3', 0);
      StopSound('sounds/env_pussy.mp3', 0);
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: true,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 3;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 5;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_5_stop: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 4;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
};

function getGameLine() {
  return gameLine;
}
